<?xml version="1.0" encoding="UTF-8"?>
<persistence xmlns="http://java.sun.com/xml/ns/persistence"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://java.sun.com/xml/ns/persistence
     http://java.sun.com/xml/ns/persistence/persistence_2_0.xsd"
    version="2.0">
	
	<persistence-unit name="agro">
		<provider>org.hibernate.jpa.HibernatePersistenceProvider</provider>
		
		<properties>
			<!-- <property name="javax.persistence.jdbc.url" value="jdbc:mysql://db-instance-mysqldbserver.mysql.database.azure.com:3306/agro01?serverTimezone=America/Sao_Paulo" />
			<property name="javax.persistence.jdbc.user" value="" />
			<property name="javax.persistence.jdbc.password" value="" /> -->
			
			<property name="javax.persistence.jdbc.url" value="jdbc:mysql://192.168.42.138:3306/hacktudo?serverTimezone=America/Sao_Paulo" />
			<property name="javax.persistence.jdbc.user" value="root" />
			<!-- <property name="javax.persistence.jdbc.password" value="12345" /> -->
			<property name="javax.persistence.jdbc.password" value="12345" />
			
			<property name="javax.persistence.jdbc.driver" value="com.mysql.jdbc.Driver" />

			<property name="hibernate.hbm2ddl.auto" value="update" />
			<property name="hibernate.show_sql" value="true" />
			<property name="hibernate.dialect" value="org.hibernate.dialect.MySQL5Dialect" />

			<!-- Pool Sizing -->
			<property name="hibernate.c3p0.min_size" value="5" /> <!-- Hibernate.c3p0.min_size - Número mínimo de conexões JDBC no pool. Hibernate padrão: 1 -->
			<property name="hibernate.c3p0.max_size" value="100" /> <!-- Hibernate.c3p0.max_size - Número máximo de conexões JDBC no pool. Hibernate padrão: 100 -->
			<property name="hibernate.c3p0.timeout" value="300" /> <!-- Hibernate.c3p0.timeout - Quando uma conexão ociosa é removida do pool (em segundo). Hibernate padrão: 0, nunca expirar. -->
			<property name="hibernate.c3p0.max_statements" value="50" /> <!-- Hibernate.c3p0.max_statements - O número de instruções preparadas será armazenado em cache. Aumente o desempenho. Hibernate padrão: 0, cache é desabilitado. -->
			<!-- <property name="hibernate.c3p0.idle_test_period" value="3000" /> --> <!-- Hibernate.c3p0.idle_test_period - tempo de inatividade em segundos antes de uma conexão ser validada automaticamente. Hibernate padrão: 0 -->
			
			<property name="openjpa.Log" value="DefaultLevel=WARN, Runtime=INFO, Tool=INFO, SQL=TRACE"/>
			<property name="openjpa.ConnectionFactoryProperties" value="PrintParameters=true" />
		</properties>
	</persistence-unit>
</persistence>
